#
# spec file for package acct (Version 6.3.5)
# 
# Copyright  (c)  2001  SuSE GmbH  Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
# 
# please send bugfixes or comments to feedback@suse.de.
#

# neededforbuild  
# usedforbuild    aaa_base aaa_dir autoconf automake base bash bindutil binutils bison bzip compress cpio cpp cracklib cyrus-sasl db devs diffutils e2fsprogs file fileutils findutils flex gawk gcc gdbm gdbm-devel gettext glibc glibc-devel gpm gppshare grep groff gzip kbd less libtool libz m4 make man mktemp modutils ncurses ncurses-devel net-tools netcfg pam pam-devel patch perl ps rcs readline rpm sendmail sh-utils shadow strace syslogd sysvinit texinfo textutils timezone unzip util-linux vim

Name:         acct
Copyright:    GPL 
Group:        Applications/System
Autoreqprov:  on
Version:      6.3.5
Release:      217
Source:       %{name}-%{version}.tar.bz2
Source1:      rc.acct
Source2:      rc.config.acct
Patch:        %{name}-%{version}-axp.dif
URL:          ftp://ftp.red-bean.com/pub/noel/
BuildRoot:    /var/tmp/%{name}-root
Summary:      User specific process accounting

%description
This package contains the programs necessary to do user
specific process accounting, sa, accton, lastcomm.

Authors:
--------
    Noel Cragg <noel@gnu.ai.mit.edu>

SuSE series: ap

%prep
%setup 
%patch

%build
%define prefix   /usr
%define sysconfdir /etc
%{suse_update_config}
aclocal
automake -a
autoconf
CFLAGS="$RPM_OPT_FLAGS" CXXFLAGS="$RPM_OPT_FLAGS" ./configure \
                                                  --mandir=%{_mandir} \
                                                  --prefix=%{prefix} \
                                                  --infodir=%{_infodir} \
                                                  --sysconfdir=%{sysconfdir}
make

%install
rm -rf $RPM_BUILD_ROOT
make DESTDIR=$RPM_BUILD_ROOT install
mkdir -p  $RPM_BUILD_ROOT/var/adm/fillup-templates/
install -m 644 %{S:2} $RPM_BUILD_ROOT/var/adm/fillup-templates/
mkdir -p  $RPM_BUILD_ROOT/etc/init.d/
install -m 755 %{S:1}  $RPM_BUILD_ROOT/etc/init.d/acct
mkdir -p $RPM_BUILD_ROOT/var/account/
touch $RPM_BUILD_ROOT/var/account/pacct
chmod 600 $RPM_BUILD_ROOT/var/account/pacct
cd $RPM_BUILD_ROOT/usr/sbin/
ln -sf ../../etc/init.d/acct rcacct

%post
echo "Updating etc/rc.config..."
if [ -x bin/fillup ] ; then
  bin/fillup -q -d = etc/rc.config var/adm/fillup-templates/rc.config.acct
else
  echo "ERROR: fillup not found. This should not happen. Please compare"
  echo "etc/rc.config and var/adm/fillup-templates/rc.config.acct and"
  echo "update by hand."
fi
echo "Creating /var/account/pacct"
touch var/account/pacct
chmod 600 var/account/pacct
sbin/insserv etc/init.d/acct

%postun
sbin/insserv etc/init.d

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-, root, root)
%doc README NEWS
%doc %{_infodir}/*
%doc %{_mandir}/man1/ac*
%doc %{_mandir}/man1/lastcomm*
%doc %{_mandir}/man8/*
%dir /var/account
%attr(600, -, -) %ghost /var/account/pacct
/etc/init.d/acct
/usr/bin/ac
/usr/bin/lastcomm
/usr/sbin/*
/var/adm/fillup-templates/rc.config.acct

%changelog -n acct
* Wed Aug 08 2001 - cihlar@suse.cz
- fixed to compile on axp
* Tue Aug 07 2001 - cihlar@suse.cz
- fixed stop and status part of init script
- moved rc.acct and rc.config.acct from patch
* Mon Jun 25 2001 - pblaha@suse.cz
- rewrite init script to conform LSB
* Wed Dec 13 2000 - smid@suse.cz
- rcacct link added
* Tue Nov 28 2000 - ro@suse.de
- startscript to etc/init.d
* Thu Nov 02 2000 - smid@suse.cz
- fix ugly bug in startup scripts
* Tue Aug 29 2000 - smid@suse.cz
- sources => bzip2
- spec cleanup
* Wed Jun 07 2000 - cihlar@suse.cz
- Copyright tag fixed
* Fri Apr 07 2000 - smid@suse.cz
- upgrade to 6.3.5
- buildroot added
* Mon Feb 21 2000 - garloff@suse.de
- Create /var/account/pacct in script if non-existing
* Thu Feb 17 2000 - kukuk@suse.de
- Fix configure options
* Tue Feb 15 2000 - kukuk@suse.de
- Fill in group tag
* Thu Jan 20 2000 - kukuk@suse.de
- Move /usr/{man,info} -> /usr/share/{man,info}
* Mon Sep 13 1999 - bs@suse.de
- ran old prepare_spec on spec file to switch to new prepare_spec.
* Wed Apr 07 1999 - kukuk@suse.de
- With glibc 2, include linux/acct.h, not sys/acct.h
* Tue Dec 29 1998 - tmg@suse.de
- fixed several bugs in init script ;)
* Sat Dec 12 1998 - bs@suse.de
- made absolute path in %%post to relative path
* Tue Dec 08 1998 - ro@suse.de
- updated init script
* Sun Oct 18 1998 - tmg@suse.de
- initial revision
